# EngineDynmap.Direction

Package com.massivecraft.factions.integration.dynmap

## Enum EngineDynmap.Direction

- java.lang.Object
- - java.lang.Enum<EngineDynmap.Direction>
  - - com.massivecraft.factions.integration.dynmap.EngineDynmap.Direction

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<EngineDynmap.Direction>`, `java.lang.constant.Constable`

Enclosing class:
  EngineDynmap

    static enum EngineDynmap.Direction
    extends java.lang.Enum<EngineDynmap.Direction>

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`XMINUS` |
`XPLUS` |
`ZMINUS` |
`ZPLUS` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static EngineDynmap.Direction` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static EngineDynmap.Direction[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### XPLUS

    public static final EngineDynmap.Direction XPLUS

#### ZPLUS

    public static final EngineDynmap.Direction ZPLUS

#### XMINUS

    public static final EngineDynmap.Direction XMINUS

#### ZMINUS

    public static final EngineDynmap.Direction ZMINUS

### Method Detail

#### values

    public static EngineDynmap.Direction[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EngineDynmap.Direction valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null